<template>
    <a-card :bordered="false">
      <a-tabs @change="handleChangeTab" :animated="false" :tab-bar-style="{marginTop: '-20px', paddingLeft: '0px'}">
        <a-tab-pane tab="试听记录" key="1">
          <CustomerAuditionRecorderTabs :key="timer1" :tabPara = "1" />
        </a-tab-pane>
  
        <a-tab-pane tab="试听课课表" key="2">
          <CustomerAuditionTimetableTabs :key="timer2" :tabPara = "2"/>
        </a-tab-pane>

      </a-tabs>
    </a-card>
  </template>
  
  <script>
    import CustomerAuditionRecorderTabs from './modules/CustomerAuditionRecorderTabs.vue'
    import CustomerAuditionTimetableTabs from './modules/CustomerAuditionTimetableTabs.vue'
    export default {
      name: 'CustomerPotentialList',
      components: { CustomerAuditionRecorderTabs,CustomerAuditionTimetableTabs },
      data() {
        return {
          showCustomerLogs: 0,
          timer1: '',
          timer2: '',
        }
      },
      methods: {
        handleChangeTab(key) {
          if (key == 1) {
            this.timer1 = new Date().getTime();
          } else if (key == 2) {
            this.timer2 = new Date().getTime();
          }
        }
      }
    }
  </script>
  
  <style scoped>
  
  </style>